org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Map

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Map
    extends Stage

A map stage.

The given mapper function must be invoked on each element consumed, and the output of the function must be emitted.

Any `RuntimeException` thrown by the function must be propagated downstream as an error, and upstream must be cancelled. Any subsequent elements received from upstream before the cancellation signal is handled must be dropped.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Function<?,?>` `getMapper()` The mapper function.

### Method Detail

#### getMapper

    Function<?,?> getMapper()

The mapper function.

Returns:
  The mapper function.